Subject: Re: Updated: cron-3.0.1-9
From: John David Galt <[email-masked]>
To: [email-masked]
Date: Wed, 16 Apr 2003 10:48:35 -0700

> John David Galt wrote:
>> The new "setup.exe" is broken.
>>
>> When I run it on my Windows 98 box, setup runs until it reaches the
>> "Select Packages" screen.  At that point it hangs.  Clicking anywhere in the
>> window has no effect.  No packages can be selected; the window can't be
>> scrolled; selections like Prev/Curr/Exp can't be made; "View" does nothing;
>> even the "Back" and "Next" buttons are totally dead.  The only escape is to
>> CTRL-ALT-DEL and kill the setup process.
>>
>> Please fix.

Igor Pechtchanski wrote:
> Please look in /var/log/setup.log and /var/log/setup.log.full to see if
> they contain any mention of the failed run.

They don't.

>  If not, can you attach to the
> hanging process with gdb and provide the output of "info threads"?

How do I do that?  setup.exe isn't being run under cygwin's shell.  Is it
supposed to be?

>  You
> might need a debugging snapshot; if one isn't available, I'll request that
> it be made tomorrow.
> 
> Oh, and when you say "hangs" -- how long have you left it hanging?

When you're at an input window with buttons like "Prev" and "Next", they're
obviously supposed to respond immediately.

>  Is it
> possible that it's actually doing some computation?

No way to tell.  It's certainly not accessing the hard drive or the modem
(because I'm watching the lights on both and seeing no activity).

>  Did you by any chance
> click on the word "Default" under "All"?

Yes.

>  Try leaving it to hang for about
> 30 minutes -- if it's still hanging after that time, it's a genuine hang.

Sounds stupid, but I'll try it anyway and report back.  Certainly if I'm
expected to wait a long time after clicking that, with no notice, that's
very broken UI design.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/